Package org.drinkless.tdlib

# Class TdApi.GiftsForResale

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GiftsForResale

Enclosing class:
  `TdApi`

public static class TdApi.GiftsForResale extends TdApi.Object
Describes gifts available for resale.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.UpgradedGiftBackdropCount[]`
  `backdrops`
  Available backdrops; for searchGiftsForResale requests without offset and attributes only.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.GiftForResale[]`
  `gifts`
  The gifts.
  `TdApi.UpgradedGiftModelCount[]`
  `models`
  Available models; for searchGiftsForResale requests without offset and attributes only.
  `String`
  `nextOffset`
  The offset for the next request.
  `TdApi.UpgradedGiftSymbolCount[]`
  `symbols`
  Available symbols; for searchGiftsForResale requests without offset and attributes only.
  `int`
  `totalCount`
  Total number of gifts found.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GiftsForResale()`
  Describes gifts available for resale.
  `GiftsForResale(int totalCount, TdApi.GiftForResale[] gifts, TdApi.UpgradedGiftModelCount[] models, TdApi.UpgradedGiftSymbolCount[] symbols, TdApi.UpgradedGiftBackdropCount[] backdrops, String nextOffset)`
  Describes gifts available for resale.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalCount

    public int totalCount
    Total number of gifts found.

  - ### gifts

    public TdApi.GiftForResale[] gifts
    The gifts.

  - ### models

    public TdApi.UpgradedGiftModelCount[] models
    Available models; for searchGiftsForResale requests without offset and attributes only.

  - ### symbols

    public TdApi.UpgradedGiftSymbolCount[] symbols
    Available symbols; for searchGiftsForResale requests without offset and attributes only.

  - ### backdrops

    public TdApi.UpgradedGiftBackdropCount[] backdrops
    Available backdrops; for searchGiftsForResale requests without offset and attributes only.

  - ### nextOffset

    public String nextOffset
    The offset for the next request. If empty, then there are no more results.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GiftsForResale

    public GiftsForResale()
    Describes gifts available for resale.

  - ### GiftsForResale

    public GiftsForResale(int totalCount, TdApi.GiftForResale[] gifts, TdApi.UpgradedGiftModelCount[] models, TdApi.UpgradedGiftSymbolCount[] symbols, TdApi.UpgradedGiftBackdropCount[] backdrops, String nextOffset)
    Describes gifts available for resale.
    Parameters:
      `totalCount` - Total number of gifts found.
      `gifts` - The gifts.
      `models` - Available models; for searchGiftsForResale requests without offset and attributes only.
      `symbols` - Available symbols; for searchGiftsForResale requests without offset and attributes only.
      `backdrops` - Available backdrops; for searchGiftsForResale requests without offset and attributes only.
      `nextOffset` - The offset for the next request. If empty, then there are no more results.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR